import 'package:flexidate/flexidate.dart';
import 'package:timezone/standalone.dart';
import 'package:info_x/info_x.dart';

SunnyLocalization sunnyLocalization = sunny.get();

Location? locationOf(name) {
  if (name == null) return null;
  return sunnyLocalization.locationOf(name.toString());
}

TimeZone? timeZoneOf(name) {
  if (name == null) return null;
  return sunnyLocalization.timeZoneOf(name.toString());
}

DateTime? dateTimeOf(json) {
  if (json == null) return null;
  return DateTime.parse(json.toString());
}

DateTime? dateTimeOfTry(json) {
  if (json == null) return null;
  return DateTime.tryParse(json.toString());
}

Uri? uriOf(json) {
  if (json == null) return null;
  return Uri.parse(json.toString());
}

TimeSpan? timeSpanOf(String duration) {
  return TimeSpan.ofISOString(duration);
}
